# Generated from smpte-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name smpte

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: SMPTE Time code manipulation
License: MIT and GPL-2
URL: http://rubygems.org/gems/smpte
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.8.7
BuildArch: noarch

%description
The SMPTE gem provides a class for handling SMPTE time codes and
includes functionality for parsing, comparing, adding, subtracting,
converting and extracting frame counts.  This code was originally
used by the author as part of an EDL parser.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/GPLv2
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 1.0.3-1
- Initial package
